## pyfai 0.15.0+dfsg1

=== requirements.txt ===
numpy
cython
fabio
scipy      
matplotlib 
numexpr
h5py
silx

## pyfai 0.3.5

=== debian/changelog ===
pyfai (0.3.5-1) unstable; urgency=low

  * Initial release (Closes: #656633)  

 -- Jerome Kieffer <jerome.kieffer@esrf.fr>  Fri, 20 Jan 2012 22:00:20 +0100

=== debian/control ===
Source: pyfai
Maintainer: Jerome Kieffer <jerome.kieffer@esrf.fr>
Section: science
Priority: extra
Build-Depends: python-setuptools, python-all-dev (>= 2.5), debhelper (>= 8), python-numpy
Standards-Version: 3.9.2
Homepage: http://forge.epn-campus.eu/projects/azimuthal
XS-Python-Version: >= 2.6

Package: pyfai
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-imaging, python-numpy, python-matplotlib, python-scipy, python-fabio
Recommends: python-numpy-ext, python-fftw
Suggests: pymca, python-rfoo 
Description: python library for Fast Azimuthal Integration
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI 
 includes geometry optimization code working on "powder rings" of reference 
 samples. Alternatively, PyFAI can also import geometries fitted with other 
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO 
 to read most images taken by diffractometer.

=== debian/watch ===
version=3
https://forge.epn-campus.eu/attachments/download/.*/pyFAI-(.+)\.tar\.gz

## pyfai 0.10.2

=== debian/changelog ===
pyfai (0.10.2-1) unstable; urgency=medium

  * Import new upstream version (0.10.2)
  * debian/control
    - Bump Standrad-Version 3.9.6 (nothing to do)
    - fix Build-Depends/Depends with cme
    - prepare for Debian-Science team maintenance.
  * debian/copyright
    - use copyright-format/1.0
  * debian/rules
    - cythonize files during the build
    - use dh_numpy for better binary dependency.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 24 Oct 2014 09:01:53 +0100

=== debian/control ===
Source: pyfai
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: cython,
               debhelper (>= 9),
               python-all-dev,
               python-fabio,
               python-fftw,
               python-lxml,
               python-matplotlib,
               python-numpy,
               python-scipy,
               python-tk
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pyfai.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/pyfai.git
Homepage: http://forge.epn-campus.eu/projects/azimuthal
X-Python-Version: >= 2.6

Package: pyfai
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
	 ${shlibs:Depends},
         python-fabio,
         python-imaging,
         python-matplotlib,
         python-scipy
Recommends: python-fftw,
            python-h5py,
            python-pyopencl,
            python-qt4 | python-pyside
Suggests: pymca,
          python-rfoo
Description: Fast Azimuthal Integration scripts
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

PYVERS=$(shell pyversions -vs)

# do not remove the histogram.c file this code is there
# beacuse git-buildpackage is run without eh patch applyed. It
# will be possible to get rid of this once the patch applyed
# upstream.
override_dh_auto_clean:
	touch src/histogram_omp.c

	dh_auto_clean

override_dh_clean:
	dh_clean

	# remove the cython generated file to force rebuild
	rm -f $(patsubst %.pyx,%.c,$(wildcard src/*.pyx))


override_dh_auto_install:
	dh_auto_install
	dh_numpy

#override_dh_auto_test:
#	dh_auto_test
#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#	set -e -x; \
#	for py in $(PYVERS); do \
#		env http_proxy='localhost' python$$py setup.py test;\
#	done
#endif

#skip tests
override_dh_auto_test:

%:
	dh $@ --with python2

=== debian/watch ===
version=3
http://forge.epn-campus.eu/projects/azimuthal/files .*pyFAI-(.+)_full\.tar\.gz

## pyfai 0.11.0+dfsg

=== debian/changelog ===
pyfai (0.11.0+dfsg-3build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:55:28 +0000

pyfai (0.11.0+dfsg-3) unstable; urgency=medium

  * debian/path
    + 0002-fix-from-upstream-python3-installation.patch (Closes: #794221)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 11 Sep 2015 14:25:10 +0200

pyfai (0.11.0+dfsg-2) unstable; urgency=medium

  * Split pyfai package to follow the Debian modules name policy.
  * Added python-pyfai, python-pyfai-dbg, python3-pyfai,
    python3-pyfai-dbg, python-pyfai-doc

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 27 Jul 2015 16:18:27 +0200

pyfai (0.11.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.11.0+dfsg
  * debian/control
    - Added Build-Depends fabio (>= 0.2.2+dfsg~)
  * debian/watch
    - use the pypi redirector
  * debian/copyright
    - use Files-Exclude to repack sources
  * debian/patches
    + 0001-fix-pyFAI-when-third_party-is-missing.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 24 Jul 2015 10:57:04 +0200

pyfai (0.10.2-2~exp1) experimental; urgency=medium

  * switch to dh-python

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 02 Jan 2015 15:13:07 +0100

=== debian/control ===
Source: pyfai
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: cython,
               cython-dbg,
               cython3,
               cython3-dbg,
               debhelper (>= 9),
               dh-python,
               python-all-dev,
               python-all-dbg,
               python-fabio (>= 0.2.2+dfsg~),
               python-fabio-dbg (>= 0.2.2+dfsg~),
               python-fftw,
               python-h5py,
               python-lxml,
               python-lxml-dbg,
               python-matplotlib,
               python-matplotlib-dbg,
               python-numpy,
               python-numpy-dbg,
               python-qt4,
               python-qt4-dbg,
               python-scipy,
               python-scipy-dbg,
               python-sphinx,
               python-sphinxcontrib.programoutput,
               python-tk,
               python-tk-dbg,
               python3-all-dev,
               python3-all-dbg,
               python3-fabio (>= 0.2.2+dfsg~),
               python3-fabio-dbg (>= 0.2.2+dfsg~),
               python3-lxml,
               python3-lxml-dbg,
               python3-matplotlib,
               python3-matplotlib-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python3-pyqt4,
               python3-pyqt4-dbg,
               python3-scipy,
               python3-scipy-dbg,
               python3-sphinx,
               python3-sphinxcontrib.programoutput,
               python3-tk,
               python3-tk-dbg
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyfai.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/pyfai.git
Homepage: http://forge.epn-campus.eu/projects/azimuthal
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: pyfai
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-pyfai (>= ${source:Version})
Description: Fast Azimuthal Integration scripts
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.

Package: python-pyfai
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-fabio (>= 0.2.2+dfsg~),
         python-imaging,
         python-matplotlib,
         python-scipy
Recommends: python-fftw,
            python-h5py,
            python-pyopencl,
            python-qt4 | python-pyside
Suggests: pymca,
          python-rfoo
Breaks: ${python:Breaks},
        pyfai (<< 0.11.0+dfsg-2)
Replaces: pyfai (<< 0.11.0+dfsg-2)
Description: Fast Azimuthal Integration scripts - Python2
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This is the Python 2 version of the package.

Package: python-pyfai-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-pyfai (= ${binary:Version}),
         python-fabio-dbg (>= 0.2.2+dfsg~),
         python-imaging-dbg,
         python-matplotlib-dbg,
         python-scipy-dbg
Recommends: python-dbg,
            python-pyopencl-dbg,
            python-qt4-dbg
Suggests: python-fftw-dbg,
          python-h5py-dbg
Description: Fast Azimuthal Integration scripts - Python2 debug
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This package contains the extension built for the Python 2 debug
 interpreter.

Package: python3-pyfai
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-fabio (>= 0.2.2+dfsg~),
         python3-pil,
         python3-matplotlib,
         python3-scipy
Recommends: python3-pyopencl,
            python3-pyqt4 | python3-pyside
Suggests: python3-fftw,
          python3-h5py
Description: Fast Azimuthal Integration scripts - Python3
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This is the Python 3 version of the package.

Package: python3-pyfai-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-pyfai (= ${binary:Version}),
         python3-fabio-dbg (>= 0.2.2+dfsg~),
         python3-pil-dbg,
         python3-matplotlib-dbg,
         python3-scipy-dbg
Recommends: python3-dbg,
            python3-pyopencl-dbg,
            python3-pyqt4-dbg | python3-pyside-dbg
Suggests: python3-fftw-dbg,
          python3-h5py-dbg
Description: Fast Azimuthal Integration scripts - Python3 debug
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This package contains the extension built for the Python 3 debug
 interpreter.

Package: python-pyfai-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Fast Azimuthal Integration scripts - Documentation
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyfai

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
# remove the cython generated file to force rebuild
	rm -f $(patsubst %.pyx,%.c,$(wildcard src/*.pyx))
	rm -rf build/html
	rm -rf *.egg-info

override_dh_auto_build:
	dh_auto_build
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} http_proxy='localhost' sphinx-build -N -bhtml doc/source build/html" dh_auto_build  # H

override_dh_install:
	dh_numpy
	dh_numpy3
	dh_install
# move the scripts into fabio-viewer
	dh_install -p pyfai debian/python-pyfai/usr/bin usr/
# remove all scripts installed by pybuild
	rm -rf debian/python-pyfai/usr/bin
	rm -rf debian/python-pyfai-dbg/usr/bin
	rm -rf debian/python3-pyfai/usr/bin
	rm -rf debian/python3-pyfai-dbg/usr/bin

override_dh_auto_test:
#	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} {interpreter} test/test_all.py"

override_dh_installman:
	dh_installman -p pyfai doc/*.1

override_dh_installdocs:
	dh_installdocs "build/html" -p python-pyfai-doc
	dh_installdocs

## pyfai 0.12.0+dfsg

=== debian/changelog ===
pyfai (0.12.0+dfsg-5) unstable; urgency=medium

  * Remove python-fftw dependency

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 27 Aug 2016 16:59:18 +0200

pyfai (0.12.0+dfsg-4) unstable; urgency=medium

  * debian/tests/control
    - * Add python-tk-dbg and python3-tk-dbg Depends

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 18 Aug 2016 20:57:26 +0200

pyfai (0.12.0+dfsg-3) unstable; urgency=medium

  * debian/tests/control
    - Add pyfai dependency for all tests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 18 Aug 2016 09:19:00 +0200

pyfai (0.12.0+dfsg-2) unstable; urgency=medium

  * New Homepage https://github.com/silx-kit/pyFAI
  * debian/control
    - Build-Depends on python3-fabio-x (>= 0.4.0+dfsg-2~)
    - Updated Vcs-x in order to use https
  * debian/patchs
    - 0004-do-not-use-deprecated-sphinx-pngmath-extension.patch (new)
      In order to fix an FTBFS (closes: #831242)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 17 Aug 2016 13:03:44 +0200

pyfai (0.12.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.12.0+dfsg
  * Updated Files-Excluded to remove the pre-generated documentation.
  * debian/patchs
    - 0001-fix-pyFAI-when-third_party-is-missing.patch (upstreamed)
    - 0002-fix-from-upstream-python3-installation.patch (upstreamed)
    - 0003-fix-from-upstream-for-fabio-3.x.patch (upstreamed)
    + 0001-remove-useless-logic-in-conf.py.patch (new)
    + 0002-skip-test-if-no-network.patch (new)
    + 0003-use-the-system-mathjax.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 07 Jun 2016 14:50:00 +0200

pyfai (0.11.0+dfsg-5) unstable; urgency=medium

  * debian/patch
    + 0003-fix-from-upstream-for-fabio-3.x.patch (updated)
      previous patch was wrong.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 27 Mar 2016 15:51:21 +0200

pyfai (0.11.0+dfsg-4) unstable; urgency=medium

  * debian/control
    - Added Build-Depends fabio (>= 0.3.0+dfsg-1~)
  * debian/patch
    + 0003-fix-from-upstream-for-fabio-3.x.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 26 Mar 2016 15:25:53 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyfai
#export PYBUILD_DISABLE_python2-dbg=test
#export PYBUILD_DISABLE_python3=test
#export PYBUILD_DISABLE_python3-dbg=test
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f $(patsubst %.pyx,%.c,$(wildcard pyFAI/ext/*.pyx))
	rm -rf doc/build/html
	rm -rf *.egg-info
	rm -f all_testimage.json fai_cfg.json lima_cfg.json profile.log

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} PYFAI_TESTIMAGES=testimages PYFAI_DATA=$(shell pwd) {interpreter} ./run_tests.py" dh_auto_test

override_dh_install:
	dh_numpy
	dh_numpy3

        # install scripts into pyfai
	python setup.py install_scripts -d debian/pyfai/usr/bin

	# Finally install stuff
	dh_install

override_dh_installman:
	dh_installman -p pyfai doc/*.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -c \"import sys;from sphinx import main;sys.exit(main(sys.argv))\" -N -bhtml source build/html" dh_auto_build  # HTML generator
	dh_installdocs "doc/build/html" -p python-pyfai-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## pyfai 0.13.0+dfsg

=== debian/changelog ===
pyfai (0.13.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.13.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 03 Dec 2016 10:00:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
            Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
+Testsuite: autopkgtest
 Priority: extra
 Build-Depends: cython,
                cython-dbg,
@@ -10,11 +11,11 @@
                cython3-dbg,
                debhelper (>= 9),
                dh-python,
+               libjs-mathjax,
                python-all-dev,
                python-all-dbg,
-               python-fabio (>= 0.2.2+dfsg~),
-               python-fabio-dbg (>= 0.2.2+dfsg~),
-               python-fftw,
+               python-fabio (>= 0.3.0+dfsg-1~),
+               python-fabio-dbg (>= 0.3.0+dfsg-1~),
                python-h5py,
                python-lxml,
                python-lxml-dbg,
@@ -26,14 +27,15 @@
                python-qt4-dbg,
                python-scipy,
                python-scipy-dbg,
+               python-setuptools,
                python-sphinx,
                python-sphinxcontrib.programoutput,
                python-tk,
                python-tk-dbg,
                python3-all-dev,
                python3-all-dbg,
-               python3-fabio (>= 0.2.2+dfsg~),
-               python3-fabio-dbg (>= 0.2.2+dfsg~),
+               python3-fabio (>= 0.4.0+dfsg-2~),
+               python3-fabio-dbg (>= 0.4.0+dfsg-2~),
                python3-lxml,
                python3-lxml-dbg,
                python3-matplotlib,
@@ -44,14 +46,15 @@
                python3-pyqt4-dbg,
                python3-scipy,
                python3-scipy-dbg,
+               python3-setuptools,
                python3-sphinx,
                python3-sphinxcontrib.programoutput,
                python3-tk,
                python3-tk-dbg
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyfai.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/pyfai.git
-Homepage: http://forge.epn-campus.eu/projects/azimuthal
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pyfai.git
+Homepage: https://github.com/silx-kit/pyFAI
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
@@ -84,12 +87,11 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
-         python-fabio (>= 0.2.2+dfsg~),
+         python-fabio (>= 0.3.0+dfsg-1~),
          python-imaging,
          python-matplotlib,
          python-scipy
-Recommends: python-fftw,
-            python-h5py,
+Recommends: python-h5py,
             python-pyopencl,
             python-qt4 | python-pyside
 Suggests: pymca,
@@ -123,15 +125,14 @@
          ${python:Depends},
          ${shlibs:Depends},
          python-pyfai (= ${binary:Version}),
-         python-fabio-dbg (>= 0.2.2+dfsg~),
+         python-fabio-dbg (>= 0.3.0+dfsg-1~),
          python-imaging-dbg,
          python-matplotlib-dbg,
          python-scipy-dbg
 Recommends: python-dbg,
             python-pyopencl-dbg,
             python-qt4-dbg
-Suggests: python-fftw-dbg,
-          python-h5py-dbg
+Suggests: python-h5py-dbg
 Description: Fast Azimuthal Integration scripts - Python2 debug
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -158,14 +159,13 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-fabio (>= 0.2.2+dfsg~),
+         python3-fabio (>= 0.3.0+dfsg-1~),
          python3-pil,
          python3-matplotlib,
          python3-scipy
 Recommends: python3-pyopencl,
             python3-pyqt4 | python3-pyside
-Suggests: python3-fftw,
-          python3-h5py
+Suggests: python3-h5py
 Description: Fast Azimuthal Integration scripts - Python3
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -192,15 +192,14 @@
          ${python3:Depends},
          ${shlibs:Depends},
          python3-pyfai (= ${binary:Version}),
-         python3-fabio-dbg (>= 0.2.2+dfsg~),
+         python3-fabio-dbg (>= 0.3.0+dfsg-1~),
          python3-pil-dbg,
          python3-matplotlib-dbg,
          python3-scipy-dbg
 Recommends: python3-dbg,
             python3-pyopencl-dbg,
             python3-pyqt4-dbg | python3-pyside-dbg
-Suggests: python3-fftw-dbg,
-          python3-h5py-dbg
+Suggests: python3-h5py-dbg
 Description: Fast Azimuthal Integration scripts - Python3 debug
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -225,7 +224,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+         ${sphinxdoc:Depends},
+         libjs-mathjax,
 Description: Fast Azimuthal Integration scripts - Documentation
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=pyfai
-#export PYBUILD_DISABLE_python2-dbg=test
-#export PYBUILD_DISABLE_python3=test
-#export PYBUILD_DISABLE_python3-dbg=test
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
 
 %:
@@ -17,7 +14,7 @@
 	rm -f all_testimage.json fai_cfg.json lima_cfg.json profile.log
 
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom \
+#	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} PYFAI_TESTIMAGES=testimages PYFAI_DATA=$(shell pwd) {interpreter} ./run_tests.py" dh_auto_test
 
 override_dh_install:

## pyfai 0.15.0+dfsg1

=== debian/changelog ===
pyfai (0.15.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.15.0+dfsg1
  * Repacked to deal the new third_party layout (Closes: #889183)
  * d/control
    - Build-Depends:
      - Added pandoc
      - Added python[3]-nbsphinx
  * d/patches
    + 0005-unactive-script-test.patch (Added)
  * d/rules
    - Do not build the documentation with python2-dbg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 03 Feb 2018 09:08:32 +0100

pyfai (0.15.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.15.0+dfsg
  * d/control
    - Bump Standrad-Version 4.1.3 (nothing)
  * debian/patches
    - refreshed
  * d/watch
    - _src is optional

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 02 Feb 2018 22:05:05 +0100

pyfai (0.14.2+dfsg-6) unstable; urgency=medium

  * fix for real the ftbfs

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Dec 2017 18:17:32 +0100

pyfai (0.14.2+dfsg-5) unstable; urgency=medium

  * d/rules
    - Fixed the FTBFS by providing the POCL cache dir (Closes: #876739)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Dec 2017 17:08:59 +0100

pyfai (0.14.2+dfsg-4) unstable; urgency=medium

  * d/patches
    - 0004-instrument-setup-code-to-deal-with-the-buildd-FTBFS.patch (Updated)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Dec 2017 14:58:36 +0100

pyfai (0.14.2+dfsg-3) unstable; urgency=medium

  * d/patches
    - 0004-instrument-setup-code-to-deal-with-the-buildd-FTBFS.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Dec 2017 13:37:21 +0100

pyfai (0.14.2+dfsg-2) unstable; urgency=medium

  * d/control
    - Bump Standrad-Version 4.1.1 (nothing)
    - Fixed broken dependency python3-pymca-dbg -> python3-pymca5-dbg
    - Added python-numpy-dbg, python3-numpy-dbg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 16 Oct 2017 14:37:48 +0200

pyfai (0.14.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.14.0+dfsg
  * debian/watch
    - Check the pgp signature via uscan
  * debian/upstream
    - add the upstream keyring
  * debian/control
    - Bump Standrad-Version 4.0.1 (extra -> optional)
    - Build-Depends
      + Fixed with cme
      + Removed python[3]-pil[-dbg]
      + Removed python[3]-lxml[-dbg]
      + Added python[3]-numexpr[-dbg]
      + Added python[3]-pymca5[-dbg]
      + Added python[3]-pyopencl[-dbg]
      + Added help2man in order to generate the manpages.
      + Added xauth, xvfb
  * debian/patches
    - 0003-remove-a-wrong-PYTHONPATH-modification.patch  (Added)
    - 0003-use-the-system-mathjax.patch (Added)
    - 0005-fix-the-setup-dependencies.patch (Added)
  * Debian/rules
    - Run tests with xvfb

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 31 Jul 2017 13:40:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,66 +4,87 @@
            Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Testsuite: autopkgtest
-Priority: extra
+Priority: optional
 Build-Depends: cython,
                cython-dbg,
                cython3,
                cython3-dbg,
-               debhelper (>= 9),
+               debhelper (>= 10),
                dh-python,
+               help2man,
                libjs-mathjax,
+               pandoc <!nodoc>,
+               python-all-dbg,
                python-all-dev,
-               python-all-dbg,
                python-fabio (>= 0.3.0+dfsg-1~),
                python-fabio-dbg (>= 0.3.0+dfsg-1~),
                python-h5py,
-               python-lxml,
-               python-lxml-dbg,
+               python-h5py-dbg,
                python-matplotlib,
                python-matplotlib-dbg,
+               python-nbsphinx <!nodoc>,
+               python-numexpr,
+               python-numexpr-dbg,
                python-numpy,
                python-numpy-dbg,
-               python-qt4,
-               python-qt4-dbg,
+               python-pymca5,
+               python-pymca5-dbg,
+               python-pyopencl,
+               python-pyopencl-dbg,
+               python-pyqt5,
+               python-pyqt5-dbg,
                python-scipy,
                python-scipy-dbg,
                python-setuptools,
+               python-silx,
+               python-silx-dbg,
                python-sphinx,
                python-sphinxcontrib.programoutput,
                python-tk,
                python-tk-dbg,
+               python3-all-dbg,
                python3-all-dev,
-               python3-all-dbg,
-               python3-fabio (>= 0.4.0+dfsg-2~),
-               python3-fabio-dbg (>= 0.4.0+dfsg-2~),
-               python3-lxml,
-               python3-lxml-dbg,
+               python3-fabio,
+               python3-fabio-dbg,
+               python3-h5py,
+               python3-h5py-dbg,
                python3-matplotlib,
                python3-matplotlib-dbg,
+               python3-nbsphinx <!nodoc>,
+               python3-numexpr,
+               python3-numexpr-dbg,
                python3-numpy,
                python3-numpy-dbg,
-               python3-pyqt4,
-               python3-pyqt4-dbg,
+               python3-pymca5,
+               python3-pymca5-dbg,
+               python3-pyopencl,
+               python3-pyopencl-dbg,
+               python3-pyqt5,
+               python3-pyqt5-dbg,
                python3-scipy,
                python3-scipy-dbg,
                python3-setuptools,
+               python3-silx,
+               python3-silx-dbg,
                python3-sphinx,
                python3-sphinxcontrib.programoutput,
                python3-tk,
-               python3-tk-dbg
-Standards-Version: 3.9.6
+               python3-tk-dbg,
+               xauth,
+               xvfb
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyfai.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pyfai.git
 Homepage: https://github.com/silx-kit/pyFAI
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.4
 
 Package: pyfai
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python-pyfai (>= ${source:Version}),
+         ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends},
-         python-pyfai (>= ${source:Version})
+         ${shlibs:Depends}
 Description: Fast Azimuthal Integration scripts
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -84,20 +105,8 @@
 Package: python-pyfai
 Architecture: any
 Section: python
-Depends: ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends},
-         python-fabio (>= 0.3.0+dfsg-1~),
-         python-imaging,
-         python-matplotlib,
-         python-scipy
-Recommends: python-h5py,
-            python-pyopencl,
-            python-qt4 | python-pyside
-Suggests: pymca,
-          python-rfoo
-Breaks: ${python:Breaks},
-        pyfai (<< 0.11.0+dfsg-2)
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Breaks: pyfai (<< 0.11.0+dfsg-2), ${python:Breaks}
 Replaces: pyfai (<< 0.11.0+dfsg-2)
 Description: Fast Azimuthal Integration scripts - Python2
  PyFAI is a Python library for azimuthal integration; it allows the conversion
@@ -121,18 +130,21 @@
 Package: python-pyfai-dbg
 Architecture: any
 Section: debug
-Depends: ${misc:Depends},
+Depends: python-fabio-dbg (>= 0.3.0+dfsg-1~),
+         python-h5py-dbg,
+         python-matplotlib-dbg,
+         python-numexpr-dbg,
+         python-numpy-dbg,
+         python-pyfai (= ${binary:Version}),
+         python-pymca5-dbg,
+         python-pyopencl-dbg,
+         python-pyqt5-dbg,
+         python-scipy-dbg,
+         python-silx-dbg,
+         python-tk-dbg,
+         ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends},
-         python-pyfai (= ${binary:Version}),
-         python-fabio-dbg (>= 0.3.0+dfsg-1~),
-         python-imaging-dbg,
-         python-matplotlib-dbg,
-         python-scipy-dbg
-Recommends: python-dbg,
-            python-pyopencl-dbg,
-            python-qt4-dbg
-Suggests: python-h5py-dbg
+         ${shlibs:Depends}
 Description: Fast Azimuthal Integration scripts - Python2 debug
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -156,50 +168,44 @@
 Package: python3-pyfai
 Architecture: any
 Section: python
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Description: Fast Azimuthal Integration scripts - Python3
+ PyFAI is a Python library for azimuthal integration; it allows the conversion
+ of diffraction images taken with 2D detectors like CCD cameras into X-Ray
+ powder patterns that can be used by other software like Rietveld refinement
+ tools (i.e. FullProf), phase analysis or texture analysis.
+ .
+ As PyFAI is a library, its main goal is to be integrated in other tools like
+ PyMca, LiMa or EDNA. To perform online data analysis, the precise description
+ of the experimental setup has to be known. This is the reason why PyFAI
+ includes geometry optimization code working on "powder rings" of reference
+ samples. Alternatively, PyFAI can also import geometries fitted with other
+ tools like Fit2D.
+ .
+ PyFAI has been designed to work with any kind of detector with any geometry
+ (transmission, reflection, off-axis, ...). It uses the Python library FabIO
+ to read most images taken by diffractometer.
+ .
+ This is the Python 3 version of the package.
+
+Package: python3-pyfai-dbg
+Architecture: any
+Section: debug
+Depends: python3-fabio-dbg,
+         python3-h5py-dbg,
+         python3-matplotlib-dbg,
+         python3-numexpr-dbg,
+         python3-numpy-dbg,
+         python3-pyfai (= ${binary:Version}),
+         python3-pymca5-dbg,
+         python3-pyopencl-dbg,
+         python3-pyqt5-dbg,
+         python3-scipy-dbg,
+         python3-silx-dbg,
+         python3-tk-dbg,
+         ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends},
-         python3-fabio (>= 0.3.0+dfsg-1~),
-         python3-pil,
-         python3-matplotlib,
-         python3-scipy
-Recommends: python3-pyopencl,
-            python3-pyqt4 | python3-pyside
-Suggests: python3-h5py
-Description: Fast Azimuthal Integration scripts - Python3
- PyFAI is a Python library for azimuthal integration; it allows the conversion
- of diffraction images taken with 2D detectors like CCD cameras into X-Ray
- powder patterns that can be used by other software like Rietveld refinement
- tools (i.e. FullProf), phase analysis or texture analysis.
- .
- As PyFAI is a library, its main goal is to be integrated in other tools like
- PyMca, LiMa or EDNA. To perform online data analysis, the precise description
- of the experimental setup has to be known. This is the reason why PyFAI
- includes geometry optimization code working on "powder rings" of reference
- samples. Alternatively, PyFAI can also import geometries fitted with other
- tools like Fit2D.
- .
- PyFAI has been designed to work with any kind of detector with any geometry
- (transmission, reflection, off-axis, ...). It uses the Python library FabIO
- to read most images taken by diffractometer.
- .
- This is the Python 3 version of the package.
-
-Package: python3-pyfai-dbg
-Architecture: any
-Section: debug
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends},
-         python3-pyfai (= ${binary:Version}),
-         python3-fabio-dbg (>= 0.3.0+dfsg-1~),
-         python3-pil-dbg,
-         python3-matplotlib-dbg,
-         python3-scipy-dbg
-Recommends: python3-dbg,
-            python3-pyopencl-dbg,
-            python3-pyqt4-dbg | python3-pyside-dbg
-Suggests: python3-h5py-dbg
+         ${shlibs:Depends}
 Description: Fast Azimuthal Integration scripts - Python3 debug
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -223,9 +229,7 @@
 Package: python-pyfai-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
-         libjs-mathjax,
+Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Fast Azimuthal Integration scripts - Documentation
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyfai
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
export POCL_CACHE_DIR=$(CURDIR)/.cache/

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f $(patsubst %.pyx,%.c,$(wildcard pyFAI/ext/*.pyx))
	rm -rf doc/build/html
	rm -rf build/man
	rm -rf *.egg-info
	rm -f all_testimage.json fai_cfg.json lima_cfg.json profile.log
	rm -rf $(POCL_CACHE_DIR)

override_dh_auto_build:
	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
	dh_auto_build
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} setup.py build_man" dh_auto_build

override_dh_auto_test:
	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' PYFAI_TESTIMAGES=testimages PYFAI_DATA=$(shell pwd) xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} ./run_tests.py --low-mem --no-opencl --installed" dh_auto_test

override_dh_install:
	dh_numpy
	dh_numpy3

        # install scripts into pyfai
	python setup.py install_scripts -d debian/pyfai/usr/bin

	# Finally install stuff
	dh_install

override_dh_installman:
	dh_installman -p pyfai build/man/*.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_DISABLE=build/python2-dbg \
	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html" dh_auto_build  # HTML generator
	dh_installdocs "doc/build/html" -p python-pyfai-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## pyfai 0.16.0+dfsg1

=== debian/changelog ===
pyfai (0.16.0+dfsg1-2) unstable; urgency=medium

  * Exported XDG_CACHE_DIR to store openCL kernels and
    fixed the FTBFS.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 28 Oct 2018 22:07:52 +0100

pyfai (0.16.0+dfsg1-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.16.0+dfsg1
  * d/control
    - Removed useless XS-Python[3]
    - Removed useless Testsuite
    - Fixed URL for salsa
    - Bump Standrad-Version 4.2.1 (nothing to do)
    - Build-Depends
      + Added python[3]-silx[-dbg] (>= 0.8.0)
  * d/test
    - Moves all tests into control.autodep8

  [ Salsa Pipeline Bot ]
  * Add pipeline template
  * Initial pipeline

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 28 Oct 2018 13:58:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
            Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: cython,
                cython-dbg,
@@ -36,8 +35,8 @@
                python-scipy,
                python-scipy-dbg,
                python-setuptools,
-               python-silx,
-               python-silx-dbg,
+               python-silx (>= 0.8.0),
+               python-silx-dbg (>= 0.8.0),
                python-sphinx,
                python-sphinxcontrib.programoutput,
                python-tk,
@@ -64,20 +63,18 @@
                python3-scipy,
                python3-scipy-dbg,
                python3-setuptools,
-               python3-silx,
-               python3-silx-dbg,
+               python3-silx (>= 0.8.0),
+               python3-silx-dbg (>= 0.8.0),
                python3-sphinx,
                python3-sphinxcontrib.programoutput,
                python3-tk,
                python3-tk-dbg,
                xauth,
                xvfb
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyfai.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pyfai.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/pyfai
+Vcs-Git: https://salsa.debian.org/science-team/pyfai.git
 Homepage: https://github.com/silx-kit/pyFAI
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 
 Package: pyfai
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export PYBUILD_NAME=pyfai
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
 export POCL_CACHE_DIR=$(CURDIR)/.cache/
+export XDG_CACHE_HOME=$(POCL_CACHE_DIR)
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -25,7 +26,7 @@
 override_dh_auto_test:
 	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' PYFAI_TESTIMAGES=testimages PYFAI_DATA=$(shell pwd) xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} ./run_tests.py --low-mem --no-opencl --installed" dh_auto_test
+	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' PYFAI_TESTIMAGES=testimages PYFAI_DATA=$(shell pwd) xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} ./run_tests.py --low-mem --installed" dh_auto_test
 
 override_dh_install:
 	dh_numpy

## pyfai 0.17.0%2Bdfsg1

=== debian/tests/control ===
Test-Command: set -efu
 ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py run_tests.py -v -m --installed
 ; done
Depends: python-all, python-pyfai, xauth, xvfb
Restrictions: allow-stderr

Test-Command: set -efu
 ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py-dbg:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py-dbg run_tests.py -v -m --installed
 ; done
Depends: python-all-dbg, python-pyfai-dbg, xauth, xvfb
Restrictions: allow-stderr

Test-Command: set -efu
 ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py run_tests.py -v -m --installed
 ; done
Depends: python3-all, python3-pyfai, xauth, xvfb
Restrictions: allow-stderr
